Loading...
Searching...
No Matches
Ogre::Volume::Vertex Struct Reference
Optional Components » Volume

Lightweight struct to represent a mesh vertex. More...

`#include <OgreVolumeMeshBuilder.h>`

## Public Member Functions

| Vertex ()
| Vertex (const Vector3 &v, const Vector3 &n)
| Convenience constructor.

## Public Attributes

Real | nX
| X component of the normal.
Real | nY
| Y component of the normal.
Real | nZ
| Z component of the normal.
Real | x
| X coordinate of the position.
Real | y
| Y coordinate of the position.
Real | z
| Z coordinate of the position.

## Detailed Description

Lightweight struct to represent a mesh vertex.

## Constructor & Destructor Documentation

## Vertex() [1/2]

Ogre::Volume::Vertex::Vertex | ( | const Vector3 & | v,
|  | const Vector3 & | n )

inline

Convenience constructor.

Parameters

  v | The vertex position.
  n | The vertex normal.

References nX, nY, nZ, x, y, and z.

## Vertex() [2/2]

Ogre::Volume::Vertex::Vertex | ( |  | ) |

inline

## Member Data Documentation

## x

Real Ogre::Volume::Vertex::x

X coordinate of the position.

Referenced by Vertex().

## y

Real Ogre::Volume::Vertex::y

Y coordinate of the position.

Referenced by Vertex().

## z

Real Ogre::Volume::Vertex::z

Z coordinate of the position.

Referenced by Vertex().

## nX

Real Ogre::Volume::Vertex::nX

X component of the normal.

Referenced by Vertex().

## nY

Real Ogre::Volume::Vertex::nY

Y component of the normal.

Referenced by Vertex().

## nZ

Real Ogre::Volume::Vertex::nZ

Z component of the normal.

Referenced by Vertex().

The documentation for this struct was generated from the following file:

- OgreVolumeMeshBuilder.h